<template lang="pug">
  div(id="root")
    div(id="title")
      | Font Settings
    div(id="options")
      div
        label
          | Default theme
        div(class="color-select")
          div(
            v-for="(item, index) in themeList"
            :key="index"
            :class="defaultTheme == item.label ? 'color active' : 'color'"
            :style="`background-color: ${item.backgroundColor}; color: ${item.textColor}`"
            @click="setDefaultTheme(item)")
            | {{ item.label }}
      div
        label
          | Toggle base time theme
        v-switch(
          v-model="baseTimeTheme"
          theme="bulma"
          :color="!!baseTimeTheme ? 'primary' : 'default'")
</template>

<script>
export default {
  data () {
    return {
      baseTimeTheme: null,
      defaultTheme: null,
      themeList: [
        {
          label: 'White',
          backgroundColor: '#fff',
          textColor: '#333'
        },
        {
          label: 'Dark',
          backgroundColor: '#333',
          textColor: '#eee'
        },
        {
          label: 'Sepia',
          backgroundColor: '#f4ecd8',
          textColor: '#5b4636'
        }
      ]
    }
  },
  mounted () {
    this.defaultTheme = localStorage.getItem('defaultTheme')
  },
  watch: {
    baseTimeTheme (value, _) {
      localStorage.setItem('baseTimeTheme', value)
    }
  },
  methods: {
    setDefaultTheme (theme) {
      this.defaultTheme = theme.label
      localStorage.setItem('defaultTheme', theme.label)
      document.body.style['background-color'] = theme.backgroundColor
      document.body.style['color'] = theme.textColor
    }
  }
}
</script>

<style lang="sass" scoped>
#options > div
  &:first-child
    margin-top: 0.5vw
  border-radius: 0.3vw
  margin: 1vw 0
  border: 1px solid #aaa
  padding: 1vw
  display: flex
  justify-content: space-between
  align-items: center
.color-select
  $border-size: 3px
  display: flex
  .color
    margin: 0 0.2vw
    padding: 0.5vw
    // invisible border or NOcolor border
    border-bottom: $border-size solid rgba(0,0,0,0.0)
    border-radius: 0.5vw
  .active
    border-bottom: $border-size solid #f00
</style>
